package cn.com.tenlion.systembase.pojo.vos.line;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: LineVO
 * @Description: 护路护线
 * @Author: CodeFactory
 * @Date: 2021-10-13 11:32:20
 * @Version: 3.0
 **/
@ApiModel
public class LineVO {

    @ApiModelProperty(name = "lineName", value = "名称")
    private String lineName;
    @ApiModelProperty(name = "lineType", value = "线路类型字典表ID")
    private String lineType;
    @ApiModelProperty(name = "lineTypeName", value = "线路类型名称")
    private String lineTypeName;
    @ApiModelProperty(name = "lineTypeCode", value = "线路类型编码")
    private String lineTypeCode;
    @ApiModelProperty(name = "subjectionDeptName", value = "隶属单位名称")
    private String subjectionDeptName;
    @ApiModelProperty(name = "subjectionDeptAddress", value = "隶属单位祥址")
    private String subjectionDeptAddress;
    @ApiModelProperty(name = "subjectionDeptPhone", value = "隶属单位联系方式")
    private String subjectionDeptPhone;
    @ApiModelProperty(name = "subjectionDeptLinkMan", value = "隶属单位负责人姓名")
    private String subjectionDeptLinkMan;
    @ApiModelProperty(name = "subjectionDeptLinkPhone", value = "隶属单位负责人联系方式")
    private String subjectionDeptLinkPhone;
    @ApiModelProperty(name = "jurisdictionDeptName", value = "管辖单位名称")
    private String jurisdictionDeptName;
    @ApiModelProperty(name = "jurisdictionAddress", value = "管辖单位祥址")
    private String jurisdictionAddress;
    @ApiModelProperty(name = "jurisdictionDeptPhone", value = "管辖单位联系方式")
    private String jurisdictionDeptPhone;
    @ApiModelProperty(name = "chargeLinkMan", value = "分管治保负责人姓名")
    private String chargeLinkMan;
    @ApiModelProperty(name = "chargeLinkPhone", value = "分管治保负责人联系方式")
    private String chargeLinkPhone;
    @ApiModelProperty(name = "securitySituation", value = "治安隐患情况")
    private String securitySituation;
    @ApiModelProperty(name = "situationLevel", value = "治安隐患等级字典表ID")
    private String situationLevel;
    @ApiModelProperty(name = "situationLevelName", value = "治安隐患等级名称")
    private String situationLevelName;
    @ApiModelProperty(name = "situationLevelCode", value = "治安隐患等级编码")
    private String situationLevelCode;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;

    public String getLineName() {
        return lineName == null ? "" : lineName.trim();
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getLineType() {
        return lineType == null ? "" : lineType.trim();
    }

    public void setLineType(String lineType) {
        this.lineType = lineType;
    }

    public String getLineTypeName() {
        return lineTypeName == null ? "" : lineTypeName.trim();
    }

    public void setLineTypeName(String lineTypeName) {
        this.lineTypeName = lineTypeName;
    }

    public String getLineTypeCode() {
        return lineTypeCode == null ? "" : lineTypeCode.trim();
    }

    public void setLineTypeCode(String lineTypeCode) {
        this.lineTypeCode = lineTypeCode;
    }

    public String getSubjectionDeptName() {
        return subjectionDeptName == null ? "" : subjectionDeptName.trim();
    }

    public void setSubjectionDeptName(String subjectionDeptName) {
        this.subjectionDeptName = subjectionDeptName;
    }

    public String getSubjectionDeptAddress() {
        return subjectionDeptAddress == null ? "" : subjectionDeptAddress.trim();
    }

    public void setSubjectionDeptAddress(String subjectionDeptAddress) {
        this.subjectionDeptAddress = subjectionDeptAddress;
    }

    public String getSubjectionDeptPhone() {
        return subjectionDeptPhone == null ? "" : subjectionDeptPhone.trim();
    }

    public void setSubjectionDeptPhone(String subjectionDeptPhone) {
        this.subjectionDeptPhone = subjectionDeptPhone;
    }

    public String getSubjectionDeptLinkMan() {
        return subjectionDeptLinkMan == null ? "" : subjectionDeptLinkMan.trim();
    }

    public void setSubjectionDeptLinkMan(String subjectionDeptLinkMan) {
        this.subjectionDeptLinkMan = subjectionDeptLinkMan;
    }

    public String getSubjectionDeptLinkPhone() {
        return subjectionDeptLinkPhone == null ? "" : subjectionDeptLinkPhone.trim();
    }

    public void setSubjectionDeptLinkPhone(String subjectionDeptLinkPhone) {
        this.subjectionDeptLinkPhone = subjectionDeptLinkPhone;
    }

    public String getJurisdictionDeptName() {
        return jurisdictionDeptName == null ? "" : jurisdictionDeptName.trim();
    }

    public void setJurisdictionDeptName(String jurisdictionDeptName) {
        this.jurisdictionDeptName = jurisdictionDeptName;
    }

    public String getJurisdictionAddress() {
        return jurisdictionAddress == null ? "" : jurisdictionAddress.trim();
    }

    public void setJurisdictionAddress(String jurisdictionAddress) {
        this.jurisdictionAddress = jurisdictionAddress;
    }

    public String getJurisdictionDeptPhone() {
        return jurisdictionDeptPhone == null ? "" : jurisdictionDeptPhone.trim();
    }

    public void setJurisdictionDeptPhone(String jurisdictionDeptPhone) {
        this.jurisdictionDeptPhone = jurisdictionDeptPhone;
    }

    public String getChargeLinkMan() {
        return chargeLinkMan == null ? "" : chargeLinkMan.trim();
    }

    public void setChargeLinkMan(String chargeLinkMan) {
        this.chargeLinkMan = chargeLinkMan;
    }

    public String getChargeLinkPhone() {
        return chargeLinkPhone == null ? "" : chargeLinkPhone.trim();
    }

    public void setChargeLinkPhone(String chargeLinkPhone) {
        this.chargeLinkPhone = chargeLinkPhone;
    }

    public String getSecuritySituation() {
        return securitySituation == null ? "" : securitySituation.trim();
    }

    public void setSecuritySituation(String securitySituation) {
        this.securitySituation = securitySituation;
    }

    public String getSituationLevel() {
        return situationLevel == null ? "" : situationLevel.trim();
    }

    public void setSituationLevel(String situationLevel) {
        this.situationLevel = situationLevel;
    }

    public String getSituationLevelName() {
        return situationLevelName == null ? "" : situationLevelName.trim();
    }

    public void setSituationLevelName(String situationLevelName) {
        this.situationLevelName = situationLevelName;
    }

    public String getSituationLevelCode() {
        return situationLevelCode == null ? "" : situationLevelCode.trim();
    }

    public void setSituationLevelCode(String situationLevelCode) {
        this.situationLevelCode = situationLevelCode;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }
}
